Skip to main content
PATCH
Partially Update Contract Invoice Line

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
integer
required

Body

Base serializer that injects the request user's customer on create and restricts related-object querysets to the same customer.

invoice
integer
contract_line
integer | null
description
string
Maximum string length: 500
service_start
string<date> | null
service_end
string<date> | null
currency
string
Maximum string length: 3
amount
number<double>
Required range: -10000000000000 < x < 10000000000000

Response

200 - application/json

Base serializer that injects the request user's customer on create and restricts related-object querysets to the same customer.

id
integer
required
read-only
invoice
integer
required
created_at
string<date-time>
required
read-only
last_modified_at
string<date-time>
required
read-only
contract_line
integer | null
description
string
Maximum string length: 500
service_start
string<date> | null
service_end
string<date> | null
currency
string
Maximum string length: 3
amount
number<double>
Required range: -10000000000000 < x < 10000000000000